BEEM - Android XMPP - Bug #258

Close/Crash when screen is powered off
04/19/2010 11:23 AM - Anonymous

Status: Assigned Start date: 04/19/2010
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2

Affected version: 0.1.x Locale:

Description

Hello

First the problem:

| start beem and connect to the jabber server.

My phone has a 30 sec timer to switch the display off.

When | unlock my phone after some minutes, the icon in the notify area is gone.

My status changed to offline (checked with pc jabber client).

The funny thing is, there is still a beem process running (task killer show the process).
When | open beem again, it reconnects to the server.

| don’t know if this is a normal behavior or a crash of the background service.
It looks like a crash of the background service, but maybe there is a strange “don’t use power” thing running?

Other application like 3G Traffic counter are not crashing after unlock the phone.

Second my system:
| have a HTC Legend with Android 2.1, the latest beem (0.1.3) version and use a connection to my own jabber server with TLS.

When you need more information let it me please know.
Anyway very good jabber client, thanks a lot for the good work. :)

Kind regards

Manuel

Related issues:

Related to Feature #259: Improve support for reconnections Assigned 04/19/2010
History

#1 - 04/21/2010 04:16 PM - Frédéric Barthéléry

Hi

Do you use wifi to connect to your server ?

If yes, | think you are switching from wifi to 3G so you lose the connection to your server and BEEM just stop.

There is some work in progress to improve the automatic reconnection of Beem and you can follow it on feature #259 or on the mailing list.
The feature should should be in the next release.

#2 - 04/22/2010 12:18 PM - ge la
Frédéric Barthéléry wrote:
Hi
Do you use wifi to connect to your server ?
If yes, | think you are switching from wifi to 3G so you lose the connection to your server and BEEM just stop.
There is some work in progress to improve the automatic reconnection of Beem and you can follow it on feature #259 or on the mailing list.
The feature should should be in the next release.

Hello

No, | do not use wifi. | only use the 3G-Network, but | seems to switch a lot between HSDPA and EDGE. Maybe this is the source of the problem.
259 sounds like the problem where | tried to descript.

#3 - 04/23/2010 03:25 PM - Luke Hospadaruk

I've also had this problem on a G1, and it's not due to the wifi (since | don't use it). It might be the reconnection issue nonetheless, perhaps if my
phone looses service for a moment, or my home-cooked openfire server stutters in some unexpected way.

It doesn't seem to be definitively tied to the screen turning off, sometimes beem will remain connected for dozens of minutes of the screen being
turned off, and it seems if | have the application open, it will remain connected indefinitely (although I'm not 100% sure there).

If there's any further info you need/could use, I'd be happy to gather/generate it for you.

#4 - 07/01/2010 05:13 PM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

- Priority changed from High to Normal

- Target version set to 0.2
